Package org.codehaus.groovy.classgen.asm

# Class VariableSlotLoader

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.classgen.BytecodeExpression
org.codehaus.groovy.classgen.asm.VariableSlotLoader

public class VariableSlotLoader extends BytecodeExpression

## Field Summary

### Fields inherited from class org.codehaus.groovy.classgen.BytecodeExpression

`NOP`

## Constructor Summary

Constructors
Constructor
Description
`VariableSlotLoader(int index, OperandStack os)`
`VariableSlotLoader(ClassNode type, int index, OperandStack os)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`void`
`visit(org.objectweb.asm.MethodVisitor mv)`

### Methods inherited from class org.codehaus.groovy.classgen.BytecodeExpression

`transformExpression, visit`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariableSlotLoader

public VariableSlotLoader(ClassNode type, int index, OperandStack os)

### VariableSlotLoader

public VariableSlotLoader(int index, OperandStack os)

## Method Details

### visit

public void visit(org.objectweb.asm.MethodVisitor mv)

Specified by:
  `visit` in class `BytecodeExpression`

### getIndex

public int getIndex()